org.springframework.batch.sample.domain.person

## Class Person

- java.lang.Object
- - org.springframework.batch.sample.domain.person.Person

-     public class Person
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Person()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `Address` | `getAddress()`
    `int` | `getAge()`
    `java.util.List<Child>` | `getChildren()`
    `java.lang.String` | `getFirstName()`
    `java.lang.String` | `getLast_name()` Intentionally non-standard method name for testing purposes
    `java.lang.String` | `getTitle()`
    `int` | `hashCode()`
    `void` | `setAddress(Address address)`
    `void` | `setAge(int age)`
    `void` | `setChildren(java.util.List<Child> children)`
    `void` | `setFirstName(java.lang.String firstName)`
    `void` | `setLast_name(java.lang.String last_name)` Intentionally non-standard method name for testing purposes
    `void` | `setTitle(java.lang.String title)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Person

          public Person()

  - ### Method Detail

    - #### getAddress

          public Address getAddress()

      Returns:
        the address

    - #### setAddress

          public void setAddress(Address address)

      Parameters:
        `address` - the address to set

    - #### getAge

          public int getAge()

      Returns:
        the age

    - #### setAge

          public void setAge(int age)

      Parameters:
        `age` - the age to set

    - #### getFirstName

          public java.lang.String getFirstName()

      Returns:
        the firstName

    - #### setFirstName

          public void setFirstName(java.lang.String firstName)

      Parameters:
        `firstName` - the firstName to set

    - #### getChildren

          public java.util.List<Child> getChildren()

      Returns:
        the children

    - #### setChildren

          public void setChildren(java.util.List<Child> children)

      Parameters:
        `children` - the children to set

    - #### getLast_name

          public java.lang.String getLast_name()

      Intentionally non-standard method name for testing purposes
      Returns:
        the last_name

    - #### setLast_name

          public void setLast_name(java.lang.String last_name)

      Intentionally non-standard method name for testing purposes
      Parameters:
        `last_name` - the last_name to set

    - #### getTitle

          public java.lang.String getTitle()

      Returns:
        the person_title

    - #### setTitle

          public void setTitle(java.lang.String title)

      Parameters:
        `title` - the person title to set

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`